Bug 6343 - [Metabug] Add support to Mail for Exchange for Google
: [Metabug] Add support to Mail for Exchange for Google
Status: RESOLVED MOVED
Product: Synchronization
Mail for Exchange
: 5.0/(1.2009.42-11)
: N900 All
: Low enhancement with 73 votes (vote)
: ---
Assigned To: unassigned
: activesync-bugs
:
:
:
: 11670 5404 5632 5835 6140 8697 8832 9028 9098 10642 11322 11556 12308
  Show dependency tree
 
Reported: 2009-11-26 18:31 UTC by Andre Klapper
Modified: 2011-07-18 22:21 UTC (History)
13 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Andre Klapper (reporter) maemo.org 2009-11-26 18:31:52 UTC
This is a meta bug (see Depends/Blocks list) for issues reported for trying to
use Mail for Exchange with Google.

This is currently NOT officially supported.
Comment 1 zaheer merali 2009-12-02 19:31:12 UTC
mail for exchange  wouldn't support google's multiple calendars though :(
Comment 2 bugzilla 2009-12-03 09:39:55 UTC
I'm with zaheer - I would prefer that I were voting on "full" support for
Google Mail (and Calendar, etc).
Comment 3 Johan Compagner 2009-12-03 09:51:24 UTC
is that then not SyncML?
so http://syncevolution.org/about (or the just using the underlying lib
http://www.synthesis.ch/indefero/index.php/p/libsynthesis/)

syncevolution already works on N810 and so on.

Also N900 already has SyncML i believe but only over usb or bluetooth not ip.
Comment 4 Quim Gil nokia 2009-12-07 08:26:17 UTC
This looks like flesh for http://maemo.org/community/brainstorm/ , the place
where Maemo product managers will progressively look at for feature requests.
Comment 5 Henri Bergius 2009-12-07 10:02:01 UTC
(In reply to comment #4)
> This looks like flesh for http://maemo.org/community/brainstorm/ , the place
> where Maemo product managers will progressively look at for feature requests.

OK, posted a Brainstorm in
http://maemo.org/community/brainstorm/view/google_calendar-contacts_synchronization/
Comment 6 Johan Compagner 2009-12-07 12:43:57 UTC
why have 2 places for stuff?
Now i have 2 search in 2 places and first have to figure out.. is it a bug or a
feature?

bugzilla is normally also used for features .. thats why you have "Severity:
Enhancement" 

I would just move everything over to bugzilla, way easer to find stuff. And you
can vote and discus it just as well.
Comment 7 Alex Smirnoff 2009-12-10 20:12:15 UTC
Yet another problem: calendar event descriptions are synced "up" (device to
google) but not "down" (google to device).
Comment 8 Jack Tanner 2009-12-29 06:26:32 UTC
Isn't this bug backwards? Right now it blocks bug 5404, etc., whereas in fact
those bugs should block this one.

And yes, MfE non-support of Google is a total bummer.
Comment 9 Mikko Ohtamaa 2010-01-11 13:41:29 UTC
Just tested with software 1.1.

For me it hangs in "Initialization synchronization" in the middle of progress.
Comment 10 Andre Klapper (reporter) maemo.org 2010-01-11 17:51:55 UTC
(In reply to comment #9)
> Just tested with software 1.1.

I have no idea what "software 1.1" is.
Please always specify complete version names...
Comment 11 Quim Gil nokia 2010-01-11 22:55:54 UTC
All the bugs depending of thie "metabug" are filed as bugs and not enhancement
requests. "Support to Mail for Exchange for Google" is a full fledged feature
request that requires discussion, and we have Brainstorm for that. Bugzilla's
enhancements are here for no-brainer, technical improvements.

The Brainstorm proposal is already filed as explained in Comment #5 (thanks
bergie)

For all these reasons I recommend Andre to resolve as MOVED to Brainstorm or,
if he finds it useful, to change the severity to Normal, to keep this report as
a pure "metabug".
Comment 12 Andre Klapper (reporter) maemo.org 2010-02-02 21:15:43 UTC
Closing as MOVED as per
http://maemo.org/community/brainstorm/view/google_calendar-contacts_synchronization/

The scope of bugs.maemo.org are bugs and only very specific and no-brainer
enhancement requests. This report contains a feature request that is too
generic for bugs.maemo.org. Please post this problem and propose your
solution in Maemo Brainstorm instead:
  http://maemo.org/community/brainstorm/

More information: http://wiki.maemo.org/Maemo_brainstorm
Comment 13 Frederik Niedernolte 2010-02-04 05:38:57 UTC
But "Solution #1: Google support in Mail for Exchange" has the most votes and
this bug report has the title "Add support to Mail for Exchange for Google" so
what is the difference between that?
Do you need a new brainstorm for detailed MfE support? It is already possible
on Symbian devices so maybe you could port the code from there to MfE for
Maemo!?
Comment 14 Peter D'Hoye 2010-02-04 10:14:30 UTC
(In reply to comment #13)
> Do you need a new brainstorm for detailed MfE support? It is already possible
> on Symbian devices so maybe you could port the code from there to MfE for
> Maemo!?

There's not even a need to port it, it actually works on my n900, just has a
few minor bugs to be fixed (8697 for example).
IMHO, Nokia is extra lazy with Google support since they are competitors. But
they should know it plays against them. I know of several people who went for
an Android phone because Nokia keeps postponing proper Google support.
Comment 15 Mikko Ohtamaa 2010-02-04 10:28:29 UTC
(In reply to comment #14)
> There's not even a need to port it, it actually works on my n900, just has a
> few minor bugs to be fixed (8697 for example).
> IMHO, Nokia is extra lazy with Google support since they are competitors. But
> they should know it plays against them. I know of several people who went for
> an Android phone because Nokia keeps postponing proper Google support. 
> 

There is no point of advocating against Nokia here. They provide nice open
Maemo platform. Feel free to use any open source mail/calendar client you wish
or create one yourself, you are not tied to Nokia client in any way.

Also please use this link:

http://maemo.org/community/brainstorm/view/google_calendar-contacts_synchronization/

For further discussion. It also contains potential solutions.
Comment 16 Frederik Niedernolte 2010-02-05 03:02:12 UTC
Have you read my comment 13?
Comment 17 Andre Klapper (reporter) maemo.org 2011-06-26 18:43:34 UTC
For the records: It looks like this might work in "MeeGo 1.2 Harmattan" (the
software version after Maemo5 for the N9 and N950 devices only) according to
http://forum.meego.com/showpost.php?p=23328&postcount=217